#include "gul-notebook.h"
#include <gtk/gtk.h>

static gint delete_event( GtkWidget *widget,
			  GdkEvent  *event,
			  gpointer   data )
{
	/* If you return FALSE in the "delete_event" signal handler,
	 * GTK will emit the "destroy" signal. Returning TRUE means
	 * you don't want the window to be destroyed.
	 * This is useful for popping up 'are you sure you want to quit?'
	 * type dialogs. */
	
	/* Change TRUE to FALSE and the main window will be destroyed with
	 * a "delete_event". */
	
	return FALSE;
}


/* Another callback */
static void destroy( GtkWidget *widget,
		     gpointer   data )
{
	gtk_main_quit ();
}


int main(int argc, char *argv[])
{
	GtkWidget *window;
	GtkWidget *notebook;
	GtkWidget *window2;
	GtkWidget *notebook2;

	/* This is called in all GTK applications. Arguments are parsed
	 * from the command line and are returned to the application. */
	gtk_init (&argc, &argv);
	
	/* create a new window */
	window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	
	/* When the window is given the "delete_event" signal (this is given
	 * by the window manager, usually by the "close" option, or on the
	 * titlebar), we ask it to call the delete_event () function
	 * as defined above. The data passed to the callback
	 * function is NULL and is ignored in the callback function. */
	g_signal_connect (G_OBJECT (window), "delete_event",
			  G_CALLBACK (delete_event), NULL);
	
	/* Here we connect the "destroy" event to a signal handler.  
	 * This event occurs when we call gtk_widget_destroy() on the window,
	 * or if we return FALSE in the "delete_event" callback. */
	g_signal_connect (G_OBJECT (window), "destroy",
			  G_CALLBACK (destroy), NULL);

	notebook = GTK_WIDGET(gul_notebook_new());
	gtk_notebook_insert_page(GTK_NOTEBOOK(notebook), gtk_label_new("contenu"), gtk_label_new("Page 1"), 1);
	gtk_notebook_insert_page(GTK_NOTEBOOK(notebook), gtk_label_new("contenu bis"), gtk_label_new("Page 2"), 2);
	gtk_notebook_insert_page(GTK_NOTEBOOK(notebook), gtk_label_new("contenu ter"), gtk_label_new("Page 3"), 3);
	gtk_notebook_insert_page(GTK_NOTEBOOK(notebook), gtk_label_new("bibi"), gtk_label_new("Page 4"), 4);
	
	gtk_notebook_set_tab_pos(GTK_NOTEBOOK(notebook), GTK_POS_RIGHT);


	/* This packs the button into the window (a gtk container). */
	gtk_container_add (GTK_CONTAINER (window), notebook);
	
	/* and the window */
	gtk_widget_show_all (window);


	/* create a new window */
	window2 = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	
	/* When the window is given the "delete_event" signal (this is given
	 * by the window manager, usually by the "close" option, or on the
	 * titlebar), we ask it to call the delete_event () function
	 * as defined above. The data passed to the callback
	 * function is NULL and is ignored in the callback function. */
	g_signal_connect (G_OBJECT (window2), "delete_event",
			  G_CALLBACK (delete_event), NULL);
	
	/* Here we connect the "destroy" event to a signal handler.  
	 * This event occurs when we call gtk_widget_destroy() on the window,
	 * or if we return FALSE in the "delete_event" callback. */
	g_signal_connect (G_OBJECT (window2), "destroy",
			  G_CALLBACK (destroy), NULL);

	notebook2 = GTK_WIDGET(gul_notebook_new());
	gtk_notebook_insert_page(GTK_NOTEBOOK(notebook2), gtk_label_new("11111"), gtk_label_new("Page 11"), 1);
	gtk_notebook_insert_page(GTK_NOTEBOOK(notebook2), gtk_label_new("22222"), gtk_label_new("Page 12"), 2);
	gtk_notebook_insert_page(GTK_NOTEBOOK(notebook2), gtk_label_new("33333333"), gtk_label_new("Page 13"), 3);
	gtk_notebook_insert_page(GTK_NOTEBOOK(notebook2), gtk_label_new("4444444"), gtk_label_new("Page 14"), 4);
	
	gtk_notebook_set_tab_pos(GTK_NOTEBOOK(notebook2), GTK_POS_BOTTOM);


	/* This packs the button into the window (a gtk container). */
	gtk_container_add (GTK_CONTAINER (window2), notebook2);
	
	/* and the window */
	gtk_widget_show_all (window2);

    
	/* All GTK applications must have a gtk_main(). Control ends here
	 * and waits for an event to occur (like a key press or
	 * mouse event). */
	gtk_main ();
	
	return 0;	
}
